#include "ArrayList.h"


template <typename T>
ArrayList<T>::ArrayList()
{
   mData=new vector<T>();
   mSize=0;
   mCapacity=0; 
}

template <typename T>
ArrayList<T>::~ArrayList()
{

}


template <typename T> 
void 
ArrayList<T>::insert(T  &data)
{
   if(mSize<mCapacity)
   {
      mData[mSize]=data;
      data->setIndex(mSize);
      mSize++;
   }    
   else
   {
      mData->push_back(data);
      mSize++;
      mCapacity++;
   }
}

template <typename T> 
void 
ArrayList<T> ::remove(T  &data)
{
   mSize--;
   int index=data->getIndex();
   mData[index]=mData[mSize];
   mData[index]->setIndex(index);  
}


template <typename T>
vector<T> *
ArrayList<T>::getData()
{
   return mData;
}


template <typename T>
int
ArrayList<T>::getSize()
{
   return mSize;
}

