#include "MatGraph.h"
MatGraph::MatGraph(int size)
{
  mSize=size;
  mMatrix=new  WeightType *[mSize];
  for(int i=0; i<size; i++)
  {
    mMatrix[i]=new WeightType[size-i-1];
    for(int j=i+1; j<size; j++)
    {
       mMatrix[i][j-i-1]=0;
    }

  }
}

MatGraph::~MatGraph()
{
   for(int i=0; i<mSize; i++)
   {
     delete [] mMatrix[i];
   }
   delete [] mMatrix; 
}
void
MatGraph::setWeight(int i, int j, WeightType weight)
{
  if(i==j) return;
  if(i<j)
  {
     mMatrix[i][j-i-1]=weight;
  }
  else mMatrix[j][i-j-1]=weight;

}

WeightType
MatGraph::getWeight(int i, int j)
{
    if(i==j) return 0;
  if(i<j)
  {
     return mMatrix[i][j-i-1];
  }
  else 
  {
    return mMatrix[j][i-j-1];
  }
}

