#ifndef _ARRAY_LIST_2_H_
#define _ARRAY_LIST_2_H_
#include <vector>
#include <iostream>
using namespace std;

template <typename T>
class ArrayList2
{
      protected:    
         int mSize;
         int mCapacity;
         vector<T>* mData;
      public:
         ArrayList2<T>();
         ArrayList2<T>(vector<T>* data);
         ~ArrayList2<T>();
         std::vector<T>* getData();
	 int getSize();
         void insert(T  data);
         void remove(T  data);
};



template <typename T>
ArrayList2<T>::ArrayList2()
{
   mData=new vector<T>();
   mSize=0;
   mCapacity=0; 
}

template <typename T>
ArrayList2<T>::ArrayList2(vector<T>* data)
{
   mData=data;
   mSize=data->size();
   for(int i=0; i<mSize; i++)
   {
     (*mData)[i]->setIndex2(i);
   }
   mCapacity=mSize;
}



template <typename T>
ArrayList2<T>::~ArrayList2()
{

}


template <typename T> 
void 
ArrayList2<T>::insert(T  data)
{
   if(mSize<mCapacity)
   {
      (*mData)[mSize]=data;
      data->setIndex2(mSize);
      mSize++;
   }    
   else
   {
      mData->push_back(data);
      data->setIndex2(mSize);
      mSize++;
      mCapacity++;
   }
}

template <typename T> 
void 
ArrayList2<T>::remove(T data)
{
   mSize--;
   int index=data->getIndex2();
   (*mData)[index]=(*mData)[mSize];
   (*mData)[index]->setIndex2(index);  
}


template <typename T>
vector<T> *
ArrayList2<T>::getData()
{
   return mData;
}


template <typename T>
int
ArrayList2<T>::getSize()
{
   return mSize;
}


#endif

