#ifndef _D_LINK_LIST_H_
#define _D_LINK_LIST_H_

template <typename T>
void List<T>::push_back(T data)
{
    tail = new node(data, tail, NULL);
    if( tail->prev )
        tail->prev->next = tail;

    if( empty() )
        head = tail;
}

template <typename T>
void List<T>::push_front(T data)
{
    head = new node(data, NULL, head);
    if( head->next )
        head->next->prev = head;

    if( empty() )
        tail = head;
}

template<typename T>
T List<T>::pop_back()
{
    if( empty() )
        throw("List : list empty");
    node* temp(tail);
    T data( tail->data );
    tail = tail->prev ;

    if( tail )
        tail->next = NULL;
    else
        head = NULL ;

    delete temp;
    return data;
}

template<typename T>
T List<T>::pop_front()
{
    if( empty() )
        throw("List : list empty");
    node* temp(head);
    T data( head->data );
    head = head->next ;

    if( head )
        head->prev = NULL;
    else
        tail = NULL;

    delete temp;
    return data;
}

template<typename T>
T List<T>::remove(node * n)
{
    if (n==NULL)
      return;
    
    if(n->prev!=NULL)
    {
       p=n->prev; 
       p->next=n->next
    }
    if(n->next!=NULL)
    {
       nn=n->next;
       nn->prev=n->prev;
    }
    return;

}
//=======
//=======Remove the list from a to b
template<typename T>
T List<T>remove(node* a, node * b)
{


}


